summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-electronics/gsmc')
-rw-r--r--sci-electronics/gsmc/Manifest1
-rw-r--r--sci-electronics/gsmc/files/gsmc-1.1-autotools.patch48
-rw-r--r--sci-electronics/gsmc/gsmc-1.1-r1.ebuild35
-rw-r--r--sci-electronics/gsmc/metadata.xml5
4 files changed, 89 insertions, 0 deletions
diff --git a/sci-electronics/gsmc/Manifest b/sci-electronics/gsmc/Manifest
new file mode 100644
index 00000000000..965a659f3ed
--- /dev/null
+++ b/sci-electronics/gsmc/Manifest
@@ -0,0 +1 @@
+DIST gsmc-1.1.tar.gz 122726 RMD160 80406e224b485d24fe3d0505a8cb861f39b1fa31 SHA1 781f0c51ebe041419071703b8102e56536b47418 SHA256 3cd7fa7fb8712f878229e085ac8881bd829893da31dce96c3e98118798d63fda
diff --git a/sci-electronics/gsmc/files/gsmc-1.1-autotools.patch b/sci-electronics/gsmc/files/gsmc-1.1-autotools.patch
new file mode 100644
index 00000000000..94b0558d6b1
--- /dev/null
+++ b/sci-electronics/gsmc/files/gsmc-1.1-autotools.patch
@@ -0,0 +1,48 @@
+--- gsmc-1.1.orig/configure.ac 2011-01-12 18:14:55.633360421 -0200
++++ gsmc-1.1/configure.ac 2011-01-12 19:58:12.617251642 -0200
+@@ -7,26 +7,13 @@
+ AM_INIT_AUTOMAKE(gsmc, 1.0, ik5nax@amsat.org)
+
+ # Checks for programs.
+-AC_PROG_CC
+-pkg_modules="gtk+-2.0"
+-PKG_CHECK_MODULES(PACKAGE,[$pkg_modules])
++AM_PROG_CC_C_O
+ AC_SUBST(PACKAGE_CFLAGS)
+ AC_SUBST(PACKAGE_LIBS)
+
+ # Checks for libraries.
+-LIBS=" "
+-PKG_LIB2=`pkg-config --libs gtk+-2.0`
+-PKG_LIB=""
+-for i in $PKG_LIB2 ; do
+- case $i in
+- -l*) PKG_LIB="$i $PKG_LIB" ;;
+- -L*) LIBS="$i $LIBS" ;;
+- esac
+-done
+-for i in $PKG_LIB ; do
+- j=${i#'-l'}
+- AC_CHECK_LIB($j,main)
+-done
++PKG_PROG_PKG_CONFIG
++PKG_CHECK_MODULES([GTK], [gtk+-2.0])
+
+ # Checks for header files.
+ AC_HEADER_STDC
+
+--- gsmc-1.1.orig/Makefile.am 2011-01-12 18:14:55.633360421 -0200
++++ gsmc-1.1/Makefile.am 2011-01-12 20:37:21.034615478 -0200
+@@ -2,8 +2,8 @@
+
+ bin_PROGRAMS=gsmc
+ gsmc_SOURCES= autotune.c calc.c dataconv.c draw.c main.c print.c widget.c autotune.h calc.h dataconv.h draw.h main.h print.h widget.h
+-INCLUDES=@PACKAGE_CFLAGS@
+-LIBS=@PACKAGE_LIBS@
++gsmc_CFLAGS = $(AM_CFLAGS) $(GTK_CFLAGS)
++gsmc_LDADD = $(AM_LDADD) $(GTK_LIBS)
+
+ EXTRA_DIST=gsmc.1.in gtkrc TODO
+-man_MANS=gsmc.1
+\ No newline at end of file
++man_MANS=gsmc.1
diff --git a/sci-electronics/gsmc/gsmc-1.1-r1.ebuild b/sci-electronics/gsmc/gsmc-1.1-r1.ebuild
new file mode 100644
index 00000000000..f47795fa342
--- /dev/null
+++ b/sci-electronics/gsmc/gsmc-1.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit autotools eutils
+
+DESCRIPTION="A GTK program for doing Smith Chart calculations"
+HOMEPAGE="http://www.qsl.net/ik5nax/"
+SRC_URI="http://www.qsl.net/ik5nax/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+CDEPEND="
+ dev-libs/glib:2
+ x11-libs/gtk+:2"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-autotools.patch"
+ eautoreconf
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die
+ dodoc AUTHORS NEWS README TODO || die
+ insinto /usr/share/${PN}
+ doins example* || die
+}
diff --git a/sci-electronics/gsmc/metadata.xml b/sci-electronics/gsmc/metadata.xml
new file mode 100644
index 00000000000..53ae7d77c6b
--- /dev/null
+++ b/sci-electronics/gsmc/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-electronics</herd>
+</pkgmetadata>